package com.gic.haoban.manage.web.vo.chat;

import com.gic.haoban.manage.api.dto.chat.GroupChatActivityDTO;
import com.gic.marketing.api.dto.card.CardStockAndInvalidDTO;

import java.io.Serializable;
import java.util.List;
import java.util.Map;

public class GroupChatActivityVO extends GroupChatActivityDTO implements Serializable {

    /**
     * 卡券信息Map key：卡券id  value：卡券基本信息(包括卡券库存、状态、名称)
     */
    private Map<String, CardStockAndInvalidDTO> couponMap;

    /**
     * 群活码Map
     */
    private Map<String,GroupChatHmVO> chatHmMap;

    /**
     * 人群回显 会员筛选key:searchId,客户分组key:tagGroupList
     */
    private List<Map<String, Object>> memberWeightViewList;

    public Map<String, CardStockAndInvalidDTO> getCouponMap() {
        return couponMap;
    }

    public void setCouponMap(Map<String, CardStockAndInvalidDTO> couponMap) {
        this.couponMap = couponMap;
    }

    public Map<String, GroupChatHmVO> getChatHmMap() {
        return chatHmMap;
    }

    public void setChatHmMap(Map<String, GroupChatHmVO> chatHmMap) {
        this.chatHmMap = chatHmMap;
    }

    public List<Map<String, Object>> getMemberWeightViewList() {
        return memberWeightViewList;
    }

    public void setMemberWeightViewList(List<Map<String, Object>> memberWeightViewList) {
        this.memberWeightViewList = memberWeightViewList;
    }
}
